Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.domain
Interface IEssDomain

All Superinterfaces:
  IEssBaseObject, IEssExtendedObject, IEssProperties

public interface IEssDomain
extends IEssExtendedObject, IEssProperties

The IEssDomain is the Essbase domain. It allows to create/delete/enumerate/ get domain objects such as user, group, domain, server.

Nested Class Summary
`static class` | `IEssDomain.EEssDomainObjectType` The EEssDomainObjectType is an enumeration of domain object types.

Nested classes inherited from class com.essbase.api.base.IEssProperties
`IEssProperties.EEssPropertyMode`

Field Summary
`static int` | `PROP_COUNT_DOMAINS`
`static int` | `PROP_COUNT_ENTERPRISE_SERVERS`
`static int` | `PROP_COUNT_GROUPS`
`static int` | `PROP_COUNT_OLAP_SERVERS`
`static int` | `PROP_COUNT_USERS`
`static int` | `PROP_DESCRIPTION`
`static int` | `PROP_HIERARCHICAL_NAME`
`static int` | `PROP_IS_ROOT_DOMAIN`
`static int` | `PROP_NAME`
`static int` | `s_countProperties`
`static IEssValueAny.EEssDataType[]` | `s_propDataTypes`
`static IEssProperties.EEssPropertyMode[]` | `s_propModes`
`static java.lang.String[]` | `s_propNames`

Method Summary
`void` | `copyCube(java.lang.String srcOlapSvrName, java.lang.String srcOlapAppName, java.lang.String srcCubeName, java.lang.String destOlapSvrName, java.lang.String destOlapAppName, java.lang.String destCubeName)` Copies cube from one server to another.
`void` | `copyOlapApplication(java.lang.String srcOlapSvrName, java.lang.String srcOlapAppName, java.lang.String destOlapSvrName, java.lang.String destOlapAppName)` Copies olap application from one server to another.
`com.essbase.api.domain.IEssApplication` | `createApplication(java.lang.String appName)` Creates a distributed application in the domain.
`IEssBaseObject` | `createChildObject(java.lang.String objName, IEssDomain.EEssDomainObjectType objType)` Creates an object in the domain.
`IEssCluster` | `createCluster(java.lang.String clusterName)` Creates a cluster in the domain.
`IEssConnectionPool` | `createConnectionPool(java.lang.String connPoolName)` Creates a connection pool in the domain.
`IEssDomain` | `createDomain(java.lang.String domainName)` Creates a domain in the domain.
`IEssEnterpriseServer` | `createEnterpriseServer(java.lang.String svrName)` Creates/Registers an enterprise server in the domain.
`IEssGroup` | `createGroup(java.lang.String groupName)` Creates a group in the domain.
`IEssOlapServer` | `createOlapServer(java.lang.String svrName)` Creates/Registers a olap server in the domain.
`com.essbase.api.domain.IEssRole` | `createRole(java.lang.String roleName)` Creates a role in the domain.
`IEssUser` | `createUser(java.lang.String userName)` Deprecated. Use createUser(String userName, String password).
`IEssUser` | `createUser(java.lang.String userName, java.lang.String password)` Creates an user in the domain.
`void` | `delete()` Deletes this domain.
`void` | `deleteApplication(java.lang.String appName)` Deletes a distributed application in the domain.
`void` | `deleteChildObject(java.lang.String objName, IEssDomain.EEssDomainObjectType objType)` Deletes an object in the domain.
`void` | `deleteCluster(java.lang.String clusterName)` Deletes a cluster in the domain.
`void` | `deleteConnectionPool(java.lang.String connPoolName)` Deletes a connection pool in the domain.
`void` | `deleteDomain(java.lang.String domainName)` Deletes a domain in the domain.
`void` | `deleteEnterpriseServer(java.lang.String svrName)` Deletes/Unregisters a enterprise server in the domain.
`void` | `deleteGroup(java.lang.String groupName)` Deletes a group in the domain.
`void` | `deleteOlapServer(java.lang.String svrName)` Deletes/Unregisters a olap server in the domain.
`void` | `deleteRole(java.lang.String roleName)` Deletes a role in the domain.
`void` | `deleteUser(java.lang.String userName)` Deletes an user in the domain.
`com.essbase.api.domain.IEssApplication` | `getApplication(java.lang.String appName)` Gets the specified application in the domain.
`IEssIterator` | `getApplications()` Gets the list of distributed applications in the domain.
`IEssBaseObject` | `getChildObject(java.lang.String objName, IEssDomain.EEssDomainObjectType objType)` Gets the specified object in the domain.
`IEssIterator` | `getChildObjects(IEssDomain.EEssDomainObjectType objType)` Gets the list of objects of the specified type in the domain.
`IEssCluster` | `getCluster(java.lang.String clusterName)` Gets the specified cluster in the domain.
`IEssIterator` | `getClusters()` Gets the list of clusters in the domain.
`IEssConnectionPool` | `getConnectionPool(java.lang.String connPoolName)` Gets the specified connection pool in the domain.
`IEssIterator` | `getConnectionPools()` Gets the list of connection pools in the domain.
`int` | `getCountApplications()` Gets the count of distributed applications in the domain.
`int` | `getCountChildObjects(IEssDomain.EEssDomainObjectType objType)` Gets the count of objects of the specified type in the domain.
`int` | `getCountClusters()` Gets the count of clusters in the domain.
`int` | `getCountConnectionPools()` Gets the count of connection pools in the domain.
`int` | `getCountDomains()` Gets the count of domains in the domain.
`int` | `getCountEnterpriseServers()` Gets the count of enterprise servers in the domain.
`int` | `getCountGroups()` Gets the count of groups in the domain.
`int` | `getCountOlapServers()` Gets the count of olap servers in the domain.
`int` | `getCountRoles()` Gets the count of roles in the domain.
`int` | `getCountUsers()` Gets the count of users in the domain.
`java.lang.String` | `getDescription()` Gets the domain description.
`IEssDomain` | `getDomain(java.lang.String domainName)` Gets the specified domain in the domain.
`IEssIterator` | `getDomains()` Gets the list of domains in the domain.
`IEssEnterpriseServer` | `getEnterpriseServer(java.lang.String svrName)` Gets the specified enterprise server in the domain.
`IEssIterator` | `getEnterpriseServers()` Gets the list of enterprise servers in the domain.
`java.lang.String[][]` | `getExternalUsers(java.lang.String firstName, java.lang.String lastName, java.lang.String userName, java.lang.String emailAddress)` Gets the list of users from external directories filtered by identity, firstName, lastName, userName, emailAddress.
`IEssGroup` | `getGroup(java.lang.String groupName)` Gets the specified group in the domain.
`IEssIterator` | `getGroups()` Gets the list of groups in the domain.
`java.lang.String` | `getHierarchicalName()` Gets the fully qualified domain name.
`java.lang.String` | `getName()` Gets the domain name.
`IEssOlapServer` | `getOlapServer(java.lang.String svrName)` Gets the specified olap server in the domain.
`IEssIterator` | `getOlapServers()` Gets the list of olap servers in the domain.
`com.essbase.api.domain.IEssRole` | `getRole(java.lang.String roleName)` Gets the specified role in the domain.
`IEssIterator` | `getRoles()` Gets the list of roles in the domain.
`IEssUser` | `getUser(java.lang.String userName)` Gets the specified user in the domain.
`IEssIterator` | `getUsers()` Gets the list of users in the domain.
`boolean` | `isRootDomain()` Checks if this domain is the root domain of the domain forest.
`IEssCubeView` | `openCubeView(java.lang.String cubeViewName, java.lang.String connPoolName, boolean connPerOp)` Opens a cube view for the specified connection pool name.
`IEssCubeView` | `openCubeView(java.lang.String cubeViewName, java.lang.String olapSvrName, java.lang.String appName, java.lang.String cubeName, boolean useConnPool, boolean connPerOp, boolean useCluster, boolean readOnly)` Opens a cube view.
`void` | `refreshPropertyValues()` Refreshes the property values.
`void` | `setDescription(java.lang.String desc)` Sets the domain description.
`void` | `syncCubeReplicas(java.lang.String mainCubeName, java.lang.String[] replicaCubeNames)` Synchronizes the essbase cubes by copying the data from the main cube to the replica cubes.
`java.lang.Object[]` | `syncSecurityStores(boolean essSecFileToEesStore, java.lang.String domName, java.lang.String olapSvrName)` Synchronizes the olap security file and the enterprise security store, there by ensuring that enterprise server is compatible to run with any version of essbase olap server.
`java.lang.Object[]` | `syncSecurityStores(boolean essSecFileToEesStore, java.lang.String domName, java.lang.String olapSvrName, java.lang.String olapAdminName, java.lang.String olapAdminPwd)` Synchronizes the olap security file and the enterprise security store, there by ensuring that enterprise server is compatible to run with any version of essbase olap server.
`void` | `updatePropertyValues()` Updates the property values.

Methods inherited from interface com.essbase.api.base.IEssExtendedObject
`clearClientCache, getParent, getParentBase, isClientCachingEnabled, setClientCachingEnabled`

Methods inherited from interface com.essbase.api.base.IEssProperties
`getCountProperties, getPropertyDataType, getPropertyDataType, getPropertyDataTypes, getPropertyId, getPropertyMode, getPropertyMode, getPropertyModes, getPropertyName, getPropertyNames, getPropertyValueAny, getPropertyValueAny, setPropertyValueAny, setPropertyValueAny`

Field Detail

### PROP_NAME

    public static final int PROP_NAME

See Also:
  Constant Field Values

### PROP_DESCRIPTION

    public static final int PROP_DESCRIPTION

See Also:
  Constant Field Values

### PROP_HIERARCHICAL_NAME

    public static final int PROP_HIERARCHICAL_NAME

See Also:
  Constant Field Values

### PROP_IS_ROOT_DOMAIN

    public static final int PROP_IS_ROOT_DOMAIN

See Also:
  Constant Field Values

### PROP_COUNT_USERS

    public static final int PROP_COUNT_USERS

See Also:
  Constant Field Values

### PROP_COUNT_GROUPS

    public static final int PROP_COUNT_GROUPS

See Also:
  Constant Field Values

### PROP_COUNT_OLAP_SERVERS

    public static final int PROP_COUNT_OLAP_SERVERS

See Also:
  Constant Field Values

### PROP_COUNT_ENTERPRISE_SERVERS

    public static final int PROP_COUNT_ENTERPRISE_SERVERS

See Also:
  Constant Field Values

### PROP_COUNT_DOMAINS

    public static final int PROP_COUNT_DOMAINS

See Also:
  Constant Field Values

### s_countProperties

    public static final int s_countProperties

See Also:
  Constant Field Values

### s_propNames

    public static final java.lang.String[] s_propNames

### s_propDataTypes

    public static final IEssValueAny.EEssDataType[] s_propDataTypes

### s_propModes

    public static final IEssProperties.EEssPropertyMode[] s_propModes

Method Detail

### getName

    public java.lang.String getName()
                             throws EssException

  Gets the domain name.

  Specified by:
    `getName` in interface `IEssExtendedObject`
  Returns:
    The domain name.
  Throws:
    `EssException` - if an error occurs.

### getHierarchicalName

    public java.lang.String getHierarchicalName()
                                         throws EssException

  Gets the fully qualified domain name.

  Returns:
    The fully qualified domain name.
  Throws:
    `EssException` - if an error occurs.

### getDescription

    public java.lang.String getDescription()
                                    throws EssException

  Gets the domain description.

  Returns:
    The domain description.
  Throws:
    `EssException` - if an error occurs.

### setDescription

    public void setDescription(java.lang.String desc)
                        throws EssException

  Sets the domain description. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `desc` - The domain description.
  Throws:
    `EssException` - if an error occurs.

### isRootDomain

    public boolean isRootDomain()
                         throws EssException

  Checks if this domain is the root domain of the domain forest.

  Returns:
    true if this is the root domain.
  Throws:
    `EssException` - is an error occurs.

### refreshPropertyValues

    public void refreshPropertyValues()
                               throws EssException

  Refreshes the property values. The JAPI cache for this object is refreshed with the latest values from the server, so that all the getXXX() methods will return the latest values.

  Specified by:
    `refreshPropertyValues` in interface `IEssProperties`
  Throws:
    `EssException` - if an error occurs.

### updatePropertyValues

    public void updatePropertyValues()
                              throws EssException

  Updates the property values. The changes made to this object via setXXX() methods will become effective only after you invoke updatePropertyValues().

  Specified by:
    `updatePropertyValues` in interface `IEssProperties`
  Throws:
    `EssException` - if an error occurs.

### createUser

    public IEssUser createUser(java.lang.String userName)
                        throws EssException

  Deprecated. Use createUser(String userName, String password).

  Creates an user in the domain with the default password ("password").

  Parameters:
    `userName` - The user name (in lower case).
  Returns:
    The name of the user to create.
  Throws:
    `EssException` - if an error occurs.

### createUser

    public IEssUser createUser(java.lang.String userName,
                               java.lang.String password)
                        throws EssException

  Creates an user in the domain.

  Parameters:
    `userName` - The user name (in lower case).
    `password` - The password.
  Returns:
    The name of the user to create.
  Throws:
    `EssException` - if an error occurs.

### deleteUser

    public void deleteUser(java.lang.String userName)
                    throws EssException

  Deletes an user in the domain.

  Parameters:
    `userName` - The name of the user to delete.
  Throws:
    `EssException` - if an error occurs.

### getCountUsers

    public int getCountUsers()
                      throws EssException

  Gets the count of users in the domain.

  Returns:
    The count of users in the domain.
  Throws:
    `EssException` - if an error occurs.

### getUser

    public IEssUser getUser(java.lang.String userName)
                     throws EssException

  Gets the specified user in the domain.

  Parameters:
    `userName` - The user name.
  Returns:
    The user.
  Throws:
    `EssException` - if an error occurs.

### getUsers

    public IEssIterator getUsers()
                          throws EssException

  Gets the list of users in the domain.

  Returns:
    The users (each of type IEssUser).
  Throws:
    `EssException` - if an error occurs.

### getExternalUsers

    public java.lang.String[][] getExternalUsers(java.lang.String firstName,
                                                 java.lang.String lastName,
                                                 java.lang.String userName,
                                                 java.lang.String emailAddress)
                                          throws EssException

  Gets the list of users from external directories filtered by identity, firstName, lastName, userName, emailAddress.

  Parameters:
    `firstName` - The first name to filter on.
    `lastName` - The last name to filter on.
    `emailAddress` - The e-mail address to filter on.
  Returns:
    The users as two dimensional array where each row represents user and each column represents user properties. e.g: [0][0] - login name, [0][1] - first name, [0][2] - last name, [0][3] - identity, [0][4] - email address.
  Throws:
    `EssException` - if an error occurs.

### createGroup

    public IEssGroup createGroup(java.lang.String groupName)
                          throws EssException

  Creates a group in the domain.

  Parameters:
    `groupName` - The group name (in lower case).
  Returns:
    The group.
  Throws:
    `EssException` - if an error occurs.

### deleteGroup

    public void deleteGroup(java.lang.String groupName)
                     throws EssException

  Deletes a group in the domain.

  Parameters:
    `groupName` - The name of the group to delete.
  Throws:
    `EssException` - if an error occurs.

### getCountGroups

    public int getCountGroups()
                       throws EssException

  Gets the count of groups in the domain.

  Returns:
    The count of groups in the domain.
  Throws:
    `EssException` - if an error occurs.

### getGroup

    public IEssGroup getGroup(java.lang.String groupName)
                       throws EssException

  Gets the specified group in the domain.

  Parameters:
    `groupName` - The group name.
  Returns:
    The group.
  Throws:
    `EssException` - if an error occurs.

### getGroups

    public IEssIterator getGroups()
                           throws EssException

  Gets the list of groups in the domain.

  Returns:
    The groups (each of type IEssGroup).
  Throws:
    `EssException` - if an error occurs.

### createRole

    public com.essbase.api.domain.IEssRole createRole(java.lang.String roleName)
                                               throws EssException

  Creates a role in the domain. (FOR FUTURE USE)

  Parameters:
    `roleName` - The role name (in lower case).
  Returns:
    The role.
  Throws:
    `EssException` - if an error occurs.

### deleteRole

    public void deleteRole(java.lang.String roleName)
                    throws EssException

  Deletes a role in the domain. (FOR FUTURE USE)

  Parameters:
    `roleName` - The name of the role to delete.
  Throws:
    `EssException` - if an error occurs.

### getCountRoles

    public int getCountRoles()
                      throws EssException

  Gets the count of roles in the domain. (FOR FUTURE USE)

  Returns:
    The count of roles in the domain.
  Throws:
    `EssException` - if an error occurs.

### getRole

    public com.essbase.api.domain.IEssRole getRole(java.lang.String roleName)
                                            throws EssException

  Gets the specified role in the domain. (FOR FUTURE USE)

  Parameters:
    `roleName` - The role name.
  Returns:
    The role.
  Throws:
    `EssException` - if an error occurs.

### getRoles

    public IEssIterator getRoles()
                          throws EssException

  Gets the list of roles in the domain. (FOR FUTURE USE)

  Returns:
    The roles (each of type IEssRole).
  Throws:
    `EssException` - if an error occurs.

### createApplication

    public com.essbase.api.domain.IEssApplication createApplication(java.lang.String appName)
                                                             throws EssException

  Creates a distributed application in the domain. (FOR FUTURE USE)

  Parameters:
    `appName` - The application name (in lower case).
  Returns:
    The service.
  Throws:
    `EssException` - if an error occurs.

### deleteApplication

    public void deleteApplication(java.lang.String appName)
                           throws EssException

  Deletes a distributed application in the domain. (FOR FUTURE USE)

  Parameters:
    `appName` - The name of the application to delete.
  Throws:
    `EssException` - if an error occurs.

### getCountApplications

    public int getCountApplications()
                             throws EssException

  Gets the count of distributed applications in the domain. (FOR FUTURE USE)

  Returns:
    The count of distributed applications in the domain.
  Throws:
    `EssException` - if an error occurs.

### getApplication

    public com.essbase.api.domain.IEssApplication getApplication(java.lang.String appName)
                                                          throws EssException

  Gets the specified application in the domain. (FOR FUTURE USE)

  Parameters:
    `appName` - The application name.
  Returns:
    The application.
  Throws:
    `EssException` - if an error occurs.

### getApplications

    public IEssIterator getApplications()
                                 throws EssException

  Gets the list of distributed applications in the domain. (FOR FUTURE USE)

  Returns:
    The applications (each of type IEssApplication).
  Throws:
    `EssException` - if an error occurs.

### createOlapServer

    public IEssOlapServer createOlapServer(java.lang.String svrName)
                                    throws EssException

  Creates/Registers a olap server in the domain.

  Parameters:
    `svrName` - The server name or address (in lower case).
  Returns:
    The olap server
  Throws:
    `EssException` - if an error occurs.

### deleteOlapServer

    public void deleteOlapServer(java.lang.String svrName)
                          throws EssException

  Deletes/Unregisters a olap server in the domain.

  Parameters:
    `svrName` - The name/address of the olap server to delete.
  Throws:
    `EssException` - if an error occurs.

### getCountOlapServers

    public int getCountOlapServers()
                            throws EssException

  Gets the count of olap servers in the domain.

  Returns:
    The count of olap servers in the domain.
  Throws:
    `EssException` - if an error occurs.

### getOlapServer

    public IEssOlapServer getOlapServer(java.lang.String svrName)
                                 throws EssException

  Gets the specified olap server in the domain.

  Parameters:
    `svrName` - The olap server name.
  Returns:
    The olap server.
  Throws:
    `EssException` - if an error occurs.

### getOlapServers

    public IEssIterator getOlapServers()
                                throws EssException

  Gets the list of olap servers in the domain.

  Returns:
    The servers (each of type IEssOlapServer).
  Throws:
    `EssException` - if an error occurs.

### createEnterpriseServer

    public IEssEnterpriseServer createEnterpriseServer(java.lang.String svrName)
                                                throws EssException

  Creates/Registers an enterprise server in the domain.

  Parameters:
    `svrName` - The server name or address (in lower case).
  Returns:
    The enterprise server.
  Throws:
    `EssException` - if an error occurs.

### deleteEnterpriseServer

    public void deleteEnterpriseServer(java.lang.String svrName)
                                throws EssException

  Deletes/Unregisters a enterprise server in the domain.

  Parameters:
    `svrName` - The name/address of the enterprise server to delete.
  Throws:
    `EssException` - if an error occurs.

### getCountEnterpriseServers

    public int getCountEnterpriseServers()
                                  throws EssException

  Gets the count of enterprise servers in the domain.

  Returns:
    The count of enterprise servers in the domain.
  Throws:
    `EssException` - if an error occurs.

### getEnterpriseServer

    public IEssEnterpriseServer getEnterpriseServer(java.lang.String svrName)
                                             throws EssException

  Gets the specified enterprise server in the domain.

  Parameters:
    `svrName` - The enterprise server name.
  Returns:
    The Enterprise server.
  Throws:
    `EssException` - if an error occurs.

### getEnterpriseServers

    public IEssIterator getEnterpriseServers()
                                      throws EssException

  Gets the list of enterprise servers in the domain.

  Returns:
    The servers (each of type IEssEnterpriseServer).
  Throws:
    `EssException` - if an error occurs.

### createDomain

    public IEssDomain createDomain(java.lang.String domainName)
                            throws EssException

  Creates a domain in the domain.

  Parameters:
    `domainName` - The name of the domain to create (in lower case).
  Returns:
    The domain.
  Throws:
    `EssException` - if an error occurs.

### deleteDomain

    public void deleteDomain(java.lang.String domainName)
                      throws EssException

  Deletes a domain in the domain.

  Throws:
    `EssException` - if an error occurs.

### getCountDomains

    public int getCountDomains()
                        throws EssException

  Gets the count of domains in the domain.

  Returns:
    The count of domains in the domain.
  Throws:
    `EssException` - if an error occurs.

### getDomain

    public IEssDomain getDomain(java.lang.String domainName)
                         throws EssException

  Gets the specified domain in the domain.

  Parameters:
    `domainName` - The domain name.
  Returns:
    The domain.
  Throws:
    `EssException` - if an error occurs.

### getDomains

    public IEssIterator getDomains()
                            throws EssException

  Gets the list of domains in the domain.

  Returns:
    The domains (each of type IEssDomain).
  Throws:
    `EssException` - if an error occurs.

### createCluster

    public IEssCluster createCluster(java.lang.String clusterName)
                              throws EssException

  Creates a cluster in the domain.

  Parameters:
    `clusterName` - The name of the cluster to create (in lower case).
  Returns:
    The Cluster.
  Throws:
    `EssException` - if an error occurs.

### deleteCluster

    public void deleteCluster(java.lang.String clusterName)
                       throws EssException

  Deletes a cluster in the domain.

  Throws:
    `EssException` - if an error occurs.

### getCountClusters

    public int getCountClusters()
                         throws EssException

  Gets the count of clusters in the domain.

  Returns:
    The count of clusters in the domain.
  Throws:
    `EssException` - if an error occurs.

### getCluster

    public IEssCluster getCluster(java.lang.String clusterName)
                           throws EssException

  Gets the specified cluster in the domain.

  Parameters:
    `clusterName` - The cluster name (in lower case).
  Returns:
    The cluster.
  Throws:
    `EssException` - if an error occurs.

### getClusters

    public IEssIterator getClusters()
                             throws EssException

  Gets the list of clusters in the domain.

  Returns:
    The clusters (each of type IEssCluster).
  Throws:
    `EssException` - if an error occurs.

### createConnectionPool

    public IEssConnectionPool createConnectionPool(java.lang.String connPoolName)
                                            throws EssException

  Creates a connection pool in the domain.

  Parameters:
    `connPoolName` - The name of the connection pool to create (in lower case).
  Returns:
    The connection pool.
  Throws:
    `EssException` - if an error occurs.

### deleteConnectionPool

    public void deleteConnectionPool(java.lang.String connPoolName)
                              throws EssException

  Deletes a connection pool in the domain.

  Parameters:
    `connPoolName` - The name of the connection pool to delete.
  Throws:
    `EssException` - if an error occurs.

### getCountConnectionPools

    public int getCountConnectionPools()
                                throws EssException

  Gets the count of connection pools in the domain.

  Returns:
    The count of connection pools in the domain.
  Throws:
    `EssException` - if an error occurs.

### getConnectionPool

    public IEssConnectionPool getConnectionPool(java.lang.String connPoolName)
                                         throws EssException

  Gets the specified connection pool in the domain.

  Parameters:
    `connPoolName` - The connection pool name.
  Returns:
    The connection pool.
  Throws:
    `EssException` - if an error occurs.

### getConnectionPools

    public IEssIterator getConnectionPools()
                                    throws EssException

  Gets the list of connection pools in the domain.

  Returns:
    The connection pools (each of type IEssConnectionPool).
  Throws:
    `EssException` - if an error occurs.

### createChildObject

    public IEssBaseObject createChildObject(java.lang.String objName,
                                            IEssDomain.EEssDomainObjectType objType)
                                     throws EssException

  Creates an object in the domain.

  Parameters:
    `objName` - The object name (in lower case).
    `objType` - The object type.
  Returns:
    The child object (One of IEssDomain, IEssUser, IEssGroup, IEssEnterpriseServer, IEssOlapServer, IEssApplication based on the objType).
  Throws:
    `EssException` - if an error occurs.

### deleteChildObject

    public void deleteChildObject(java.lang.String objName,
                                  IEssDomain.EEssDomainObjectType objType)
                           throws EssException

  Deletes an object in the domain.

  Parameters:
    `objName` - The object name.
    `objType` - The object type.
  Throws:
    `EssException` - if an error occurs.

### getCountChildObjects

    public int getCountChildObjects(IEssDomain.EEssDomainObjectType objType)
                             throws EssException

  Gets the count of objects of the specified type in the domain.

  Parameters:
    `objType` - The object type.
  Throws:
    `EssException` - if an error occurs.

### getChildObject

    public IEssBaseObject getChildObject(java.lang.String objName,
                                         IEssDomain.EEssDomainObjectType objType)
                                  throws EssException

  Gets the specified object in the domain.

  Parameters:
    `objName` - The object name.
    `objType` - The object type.
  Returns:
    The child object (One of IEssDomain, IEssUser, IEssGroup, IEssEnterpriseServer, IEssOlapServer, IEssAppService based on the objType).
  Throws:
    `EssException` - if an error occurs.

### getChildObjects

    public IEssIterator getChildObjects(IEssDomain.EEssDomainObjectType objType)
                                 throws EssException

  Gets the list of objects of the specified type in the domain.

  Parameters:
    `objType` - The object type.
  Returns:
    The child objects (One of IEssDomain, IEssUser, IEssGroup, IEssEnterpriseServer, IEssOlapServer, IEssAppService based on the objType).
  Throws:
    `EssException` - if an error occurs.

### syncSecurityStores

    public java.lang.Object[] syncSecurityStores(boolean essSecFileToEesStore,
                                                 java.lang.String domName,
                                                 java.lang.String olapSvrName)
                                          throws EssException

  Synchronizes the olap security file and the enterprise security store, there by ensuring that enterprise server is compatible to run with any version of essbase olap server. If you are not sure whether user with the same name/password exists in the olap server, as that of currently signed on user, use the other syncSecurityStores() method, explicitly passing the olap server user name/password.

  Parameters:
    `essSecFileToEesStore` - true, to sync ees store from security file. false to sync security file from ees store.
    `domName` - The domain name in enterprise store.
    `olapSvrName` - The olap server name that holds the security file.
  Throws:
    `EssException` - if an error occurs.

### syncSecurityStores

    public java.lang.Object[] syncSecurityStores(boolean essSecFileToEesStore,
                                                 java.lang.String domName,
                                                 java.lang.String olapSvrName,
                                                 java.lang.String olapAdminName,
                                                 java.lang.String olapAdminPwd)
                                          throws EssException

  Synchronizes the olap security file and the enterprise security store, there by ensuring that enterprise server is compatible to run with any version of essbase olap server.

  Parameters:
    `essSecFileToEesStore` - true, to sync ees store from security file. false to sync security file from ees store.
    `domName` - The domain name in enterprise store.
    `olapSvrName` - The olap server name that holds the security file.
    `olapAdminName` - The supervisor name of the olap server.
    `olapAdminPwd` - The password for the above supervisor.
  Throws:
    `EssException` - if an error occurs.

### syncCubeReplicas

    public void syncCubeReplicas(java.lang.String mainCubeName,
                                 java.lang.String[] replicaCubeNames)
                          throws EssException

  Synchronizes the essbase cubes by copying the data from the main cube to the replica cubes.

  Parameters:
    `mainCubeName` - The main cube name in the format olapSvrName/appName/cubeName (eg: localhost/sample/basic).
    `replicaCubeNames` - The replica cube names. Each cube name should be of the format olapSvrName/appName/cubeName.
  Throws:
    `EssException` - if an error occurs.

### copyOlapApplication

    public void copyOlapApplication(java.lang.String srcOlapSvrName,
                                    java.lang.String srcOlapAppName,
                                    java.lang.String destOlapSvrName,
                                    java.lang.String destOlapAppName)
                             throws EssException

  Copies olap application from one server to another.

  Parameters:
    `srcOlapSvrName` - The source olap server name/ip-address.
    `srcOlapAppName` - The source olap application name.
    `destOlapSvrName` - The destination olap server name/ip-address.
    `destOlapAppName` - The destination olap application name.
  Throws:
    `EssException` - if an error occurs.
  Note:
    This function should no longer be used to copy applications across servers. That functionality is being deprecated. It can still be used to copy applications in the same server by passing same values for both srcOlapSvrName and destOlapSvrName parameters.

### copyCube

    public void copyCube(java.lang.String srcOlapSvrName,
                         java.lang.String srcOlapAppName,
                         java.lang.String srcCubeName,
                         java.lang.String destOlapSvrName,
                         java.lang.String destOlapAppName,
                         java.lang.String destCubeName)
                  throws EssException

  Copies cube from one server to another.

  Parameters:
    `srcOlapSvrName` - The source olap server name/ip-address.
    `srcOlapAppName` - The source olap application name.
    `srcCubeName` - The source cube name.
    `destOlapSvrName` - The destination olap server name/ip-address.
    `destOlapAppName` - The destination olap application name.
    `destCubeName` - The source cube name.
  Throws:
    `EssException` - if an error occurs.
  Note:
    This function should no longer be used to copy cubes across servers. That functionality is being deprecated. It can still be used to copy cubes in the same server by passing same values for both srcOlapSvrName and destOlapSvrName parameters.

### openCubeView

    public IEssCubeView openCubeView(java.lang.String cubeViewName,
                                     java.lang.String olapSvrName,
                                     java.lang.String appName,
                                     java.lang.String cubeName,
                                     boolean useConnPool,
                                     boolean connPerOp,
                                     boolean useCluster,
                                     boolean readOnly)
                              throws EssException

  Opens a cube view.

  Parameters:
    `cubeViewName` - The cube view name.
    `olapSvrName` - The name of the olap server where the cube resides.
    `appName` - The olap application name.
    `cubeName` - The cube name.
    `useConnPool` - true to use connection pool if available.
    `connPerOp` - true for connection per operation. false for connection per session.
    `useCluster` - true to use cluster if available.
    `readOnly` - true if to open in read only mode.
  Returns:
    The cube view.
  Throws:
    `EssException` - if an error occurs.

### openCubeView

    public IEssCubeView openCubeView(java.lang.String cubeViewName,
                                     java.lang.String connPoolName,
                                     boolean connPerOp)
                              throws EssException

  Opens a cube view for the specified connection pool name.

  Parameters:
    `connPoolName` - The name of the connection pool representing the cube.
    `connPerOp` - true for connection per operation. false for connection per session.
  Returns:
    The cube view.
  Throws:
    `EssException` - if an error occurs.

### delete

    public void delete()
                throws EssException

  Deletes this domain. The root domain cannot be deleted.

  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD